Name:           abe
Version:        1.1
Release:        6%{?dist}

Summary:        Scrolling, platform-jumping, ancient pyramid exploring game
Group:          Amusements/Games
License:        GPL+
URL:            http://abe.sourceforge.net/
Source0:        http://downloads.sourceforge.net/abe/abe-%{version}.tar.gz
Source1:        %{name}.png
Patch0:         abe-1.1-settings.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL-devel >= 1.2.3, SDL_mixer-devel >= 1.2.3
BuildRequires:  libXmu-devel libXi-devel
BuildRequires:  desktop-file-utils

%description
A scrolling, platform-jumping, key-collecting, ancient pyramid exploring game,
vaguely in the style of similar games for the Commodore+4.

%prep
%setup -q
%patch -p1

%build
%configure --with-data-dir=%{_datadir}/%{name}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# make install does not copy the game data files.
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
cp -p -r images maps sounds $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Abe
Comment="Abe's Amazing Adventure"
Exec=abe
Icon=abe.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Game;ArcadeGame;
EOF

desktop-file-install --vendor fedora --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Wed Aug 15 2007 Wart <wart@kobold.org> 1.1-6
- License tag clarification
- Simplify %%file section

* Fri Jun 1 2007 Wart <wart@kobold.org> 1.1-5
- Update desktop category for better game menu integration
- Use improved download URL.

* Thu Aug 31 2006 Wart <wart@kobold.org> 1.1-4
- Add missing BuildRequires

* Thu Aug 31 2006 Wart <wart@kobold.org> 1.1-3
- Rebuild for Fedora Extras

* Sun Apr 2 2006 Wart <wart@kobold.org> 1.1-2
- Enable changing the video settings (BZ #187589)

* Sat Mar 4 2006 Wart <wart@kobold.org> 1.1-1
- Update to 1.1

* Sat Mar 4 2006 Wart <wart@kobold.org> 1.0-6
- rebuild for FC5

* Mon Apr 11 2005 Panu Matilainen <pmatilai@welho.com> 0:1.0-5
- fix build on gcc4
- patch to fix issues in #149362

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Aug 13 2003 Panu Matilainen <pmatilai@welho.com> 0:1.0-0.fdr.3
- doh.. remember to update the icon to png in desktop file too

* Fri Aug 08 2003 Panu Matilainen <pmatilai@welho.com> 0:1.0-0.fdr.2
- fix QA issues in #555

* Sun Aug 03 2003 Panu Matilainen <pmatilai@welho.com> 0:1.0-0.fdr.1
- Initial Fedora packaging.
